{% load static %}
<ul class="nav nav-pills">
  <li style="cursor: pointer;" onclick="callView('ticket_create')" class="nav-items">
    <a data-toggle="tab" class="nav-link active show">
      <span>Crear</span>
    </a>
  </li>
  <li style="cursor: pointer;" onclick="callView('ticket_list')" class="nav-items">
    <a data-toggle="tab" class="nav-link">
      <span>Listar</span>
    </a>
  </li>
</ul>
<div class="panel panel-inverse" data-sortable-id="table-basic-7">
    <!-- begin panel-heading -->
    <div class="panel-heading ui-sortable-handle">
        <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
        </div>
        <h4 class="panel-title">Creacion de tickets</h4>
    </div>
    <!-- end panel-heading -->
    <!-- begin panel-body -->
    <div class="panel-body">
        <form action="/" method="POST" name="form-wizard" class="form-control-with-bg">
				<!-- begin wizard -->
				<input type="hidden" name="operator" id="service_operator">
				<div id="wizard">
					<!-- begin wizard-step -->
					<ul>
						<li class="col-md-3 col-sm-4 col-6">
							<a href="#step-1">
								<span class="number">2</span>
								<span class="info text-ellipsis">
									Servicio
									<small class="text-ellipsis">Ingrese numero de servicio</small>
								</span>
							</a>
						</li>
						<li class="col-md-3 col-sm-4 col-6">
							<a href="#step-2">
								<span class="number">3</span>
								<span class="info text-ellipsis">
									Dependencia
									<small class="text-ellipsis">Ingrese tickets, de los cuales depende</small>
								</span>
							</a>
						</li>
						<li class="col-md-3 col-sm-4 col-6">
							<a href="#step-3">
								<span class="number">4</span>
								<span class="info text-ellipsis">
									Descripcion
									<small class="text-ellipsis">Detalle el ticket</small>
								</span>
							</a>
						</li>
						<li class="col-md-3 col-sm-4 col-6">
							<a href="#step-4">
								<span class="number">5</span>
								<span class="info text-ellipsis">
									Fin
									<small class="text-ellipsis">Ticket creado exitosamente</small>
								</span>
							</a>
						</li>
					</ul>
					<!-- end wizard-step -->
					<!-- begin wizard-content -->
					<div>
						
						<!-- begin step-1 -->
						<div id="step-1">
							<!-- begin fieldset -->
							<fieldset>
								<!-- begin row -->
								<div class="row">
									<!-- begin col-8 -->
									<div class="col-md-8 offset-md-2">
										<legend class="no-border f-w-700 p-b-0 m-t-0 m-b-20 f-s-16 text-inverse"></legend>
										<!-- begin form-group -->
										<div class="form-group row m-b-10">
											<label class="col-md-3 col-form-label text-md-right"><span class="text-danger"></span></label>
											<div class="col-md-6">
												<input type="number" id="service_number" name="service_number" data-parsley-group="step-1" data-parsley-required="true" class="form-control" />
											</div>
										</div>
										<!-- end form-group -->
									</div>
									<!-- end col-8 -->
								</div>
								<!-- end row -->
							</fieldset>
							<!-- end fieldset -->
						</div>
						<!-- end step-1 -->
						<!-- begin step-2 -->
						<div id="step-2">
							<!-- begin fieldset -->
							<fieldset>
								<!-- begin row -->
								<div class="row">
									<!-- begin col-8 -->
									<div class="col-md-8 offset-md-2">
										<legend class="no-border f-w-700 p-b-0 m-t-0 m-b-20 f-s-16 text-inverse"></legend>
										<!-- begin form-group -->
										<div class="form-group row m-b-10">
											<label class="col-md-3 col-form-label text-md-right">Padre<span class="text-danger"></span></label>
											<div class="col-md-6">
												<input type="number" name="parent_id" id="parent" class="form-control" data-parsley-group="step-3" data-parsley-required="false" data-parsley-type="alphanum" />
											</div>
										</div>
										<!-- end form-group -->
										<!-- begin form-group -->
										<div class="form-group row m-b-10">
											<label class="col-md-3 col-form-label text-md-right">Hermano<span class="text-danger"></span></label>
											<div class="col-md-6">
												<input type="number" name="brother_id" id="brother"   class="form-control" data-parsley-group="step-3" data-parsley-required="false" />
											</div>
										</div>
										<!-- end form-group -->

                                        <a onclick="showService()" class="btn btn-primary btn-lg">Servicio</a>
                                        <a onclick="showCustomer()" class="btn btn-primary btn-lg">Cliente</a>
										<a onclick="showNode()" class="btn btn-primary btn-lg">Nodo</a>
                                        <a onclick="showPlan()" class="btn btn-primary btn-lg">Plan</a>

									</div>
									<!-- end col-8 -->
								</div>
								<!-- end row -->
							</fieldset>
							<!-- end fieldset -->
						</div>
						<!-- end step-2 -->
						<!-- begin step-3 -->
						<div id="step-3">
							<!-- begin fieldset -->
							<fieldset>
								<!-- begin row -->
								<div class="row">
									<!-- begin col-8 -->
									<div class="col-md-8 offset-md-2">
										<legend class="no-border f-w-700 p-b-0 m-t-0 m-b-20 f-s-16 text-inverse">Tìpificacion de ticket</legend>
										<!-- begin form-group -->
										<div class="form-group row m-b-10">
											<label class="col-md-3 col-form-label text-md-right">Tipo<span class="text-danger">*</span></label>
											<div class="col-md-6">

											    <select type="text" name="typing" id="typing" class="form-control" data-parsley-group="step-3" data-parsley-required="false" data-parsley-type="alphanum" >
                                                </select>

                                            </div>


										</div>
										<!-- end form-group -->
                                        <!-- begin form-group -->
										<div class="form-group row m-b-10">
											<label class="col-md-3 col-form-label text-md-right">Origen<span class="text-danger">*</span></label>
											<div class="col-md-6">

											    <select type="text" name="origin" id="origin" class="form-control" data-parsley-group="step-3" data-parsley-required="false" data-parsley-type="alphanum" >
                                                </select>

                                            </div>


										</div>
										<!-- end form-group -->
										<!-- begin form-group -->
										<div class="form-group row m-b-10">
											<label class="col-md-3 col-form-label text-md-right">Tipo<span class="text-danger">*</span></label>
											<div class="col-md-6">

											    <select type="text" name="type_tk" id="type_tk"  class="form-control" data-parsley-group="step-3" data-parsley-required="false" data-parsley-type="alphanum" >
                                                </select>

                                            </div>


										</div>
										<!-- end form-group -->
                                        <!-- begin form-group -->
										<div class="form-group row m-b-10">
											<label class="col-md-3 col-form-label text-md-right">Estado<span class="text-danger">*</span></label>
											<div class="col-md-6">

											    <select type="text" name="stage_tk" id="stage_tk" class="form-control" data-parsley-group="step-3" data-parsley-required="false" data-parsley-type="alphanum" >
                                                </select>

                                            </div>


										</div>
										<!-- end form-group -->
                                        <!-- begin form-group -->
										<div class="form-group row m-b-10">
											<label class="col-md-3 col-form-label text-md-right">Ciudad<span class="text-danger">*</span></label>
											<div class="col-md-6">

											    <select type="text" name="city" id="city" class="form-control" data-parsley-group="step-3" data-parsley-required="false" data-parsley-type="alphanum" >
                                                </select>

                                            </div>


										</div>
										<!-- end form-group -->
                                        <!-- begin form-group -->
										<div class="form-group row m-b-10">
											<label class="col-md-3 col-form-label text-md-right">Urgencia<span class="text-danger">*</span></label>
											<div class="col-md-6">

											    <select type="text" name="urgency" id="urgency" class="form-control" data-parsley-group="step-3" data-parsley-required="false" data-parsley-type="alphanum" >
                                                </select>

                                            </div>


										</div>
										<!-- end form-group -->
										<div class="form-group row m-b-10">
											<a onclick="showService()" class="btn btn-primary btn-lg">Servicio</a>
											<a onclick="showCustomer()" class="btn btn-primary btn-lg">Cliente</a>
											<a onclick="showNode()" class="btn btn-primary btn-lg">Nodo</a>
											<a onclick="showPlan()" class="btn btn-primary btn-lg">Plan</a>
										</div>

									</div>
									<!-- end col-8 -->
								</div>
								<!-- end row -->
							</fieldset>
							<!-- end fieldset -->
						</div>
						<!-- end step-3 -->
						<!-- begin step-4 -->
						<div id="step-4">
							<div class="jumbotron m-b-0 text-center">
								<h2 class="text-inverse">Ticket creado</h2>

								<a href="#" class="btn btn-primary btn-lg">Ver ticket</a>
								<a href="#" class="btn btn-primary btn-lg" onclick="callView('ticket_create')">Crear otro</a>
							</div>
						</div>
						<!-- end step-4 -->
					</div>
					<!-- end wizard-content -->
				</div>
				<!-- end wizard -->
			</form>

    </div>
</div>

<div class="modal" id="modal_service" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title"> Informacin del servicio </h4>
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
            </div>
            <div class="modal-body">
				<div class="table-responsive">
					<table id="user" class="table table-condensed table-bordered">
						<thead>
							<tr>
								<th width="20%">Nombre</th>
								<th>Valor</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<td class="bg-silver-lighter">Numero</td>
								<td><a href="javascript:;" id="modal_service_number" data-type="text" data-pk="1" data-title="Enter Username" class="editable editable-click">superuser </a></td>
							</tr>
							<tr>
								<td class="bg-silver-lighter">Fecha de activacion</td>
								<td><a href="javascript:;" id="modal_service_activated" data-type="text" data-pk="1" data-placement="right" data-placeholder="Required" data-title="Enter your Firstname" class="editable editable-click editable-empty">Empty</a></td>
							</tr>
							<tr>
								<td class="bg-silver-lighter">Fecha de instalacion</td>
								<td><a href="javascript:;" id="modal_service_installed" data-type="select" data-pk="1" data-value="" data-title="Select sex" class="editable editable-click">not selected</a></td>

							</tr>
							<tr>
								<td class="bg-silver-lighter">Dia de pago</td>
								<td><a href="javascript:;" id="modal_service_due_day" data-type="select" data-pk="1" data-value="5" data-source="/groups" data-title="Select group" class="editable editable-click">Admin</a></td>

							</tr>
							<tr>
								<td class="bg-silver-lighter">Estatus</td>
								<td><a href="javascript:;" id="modal_service_status" data-type="select" data-pk="1" data-value="0" data-source="/status" data-title="Select status" class="editable editable-click">Active </a></td>

							</tr>
							<tr>
								<td class="bg-silver-lighter">Tecnologia</td>
								<td><a href="javascript:;" id="modal_service_tecnology" data-type="date" data-viewformat="dd.mm.yyyy" data-pk="1" data-placement="right" data-title="When you want vacation to start?" class="editable editable-click">25.02.2013</a></td>

							</tr>
							<tr>
								<td class="bg-silver-lighter">Direccion</td>
								<td><a href="javascript:;" id="modal_service_direction" data-type="combodate" data-value="1984-05-15" data-format="YYYY-MM-DD" data-viewformat="DD/MM/YYYY" data-template="D / MMM / YYYY" data-pk="1" data-title="Select Date of birth" class="editable editable-click">15/05/1984</a></td>

							</tr>
							<tr>
								<td class="bg-silver-lighter">Tipo de documento</td>
								<td><a href="javascript:;" id="modal_service_doc_type" data-type="combodate" data-template="D MMM YYYY HH:mm" data-format="YYYY-MM-DD HH:mm" data-viewformat="MMM D, YYYY, HH:mm" data-pk="1" data-title="Setup event date and time" class="editable editable-click editable-empty">Empty</a></td>

							</tr>
							<tr>
								<td class="bg-silver-lighter">Localizacion</td>
								<td><a href="javascript:;" id="modal_service_localization" data-type="datetime" data-pk="1" data-url="/post" data-placement="right" data-title="Set date &amp; time" class="editable editable-click">15/03/2013 12:45</a></td>

							</tr>

						</tbody>
					</table>
				</div>
            </div>
        </div>
    </div>
</div>

<div class="modal" id="modal_customer" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" > Informacion del cliente </h4>
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
            </div>
            <div class="modal-body" >
				<div class="table-responsive">
					<table class="table table-condensed table-bordered">
						<thead>
							<tr>
								<th width="20%">Nombre</th>
								<th>Valor</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<td class="bg-silver-lighter">Balance</td>
								<td><a href="javascript:;" id="modal_customer_balance" data-type="text" data-pk="1" data-title="Enter Username" class="editable editable-click">superuser </a></td>
							</tr>
							<tr>
								<td class="bg-silver-lighter">RUT</td>
								<td><a href="javascript:;" id="modal_customer_rut" data-type="text" data-pk="1" data-placement="right" data-placeholder="Required" data-title="Enter your Firstname" class="editable editable-click editable-empty">Empty</a></td>
							</tr>
							<tr>
								<td class="bg-silver-lighter">Nombre</td>
								<td><a href="javascript:;" id="modal_customer_name" data-type="select" data-pk="1" data-value="" data-title="Select sex" class="editable editable-click">not selected</a></td>

							</tr>
							<tr>
								<td class="bg-silver-lighter">Correo</td>
								<td><a href="javascript:;" id="modal_customer_email" data-type="select" data-pk="1" data-value="5" data-source="/groups" data-title="Select group" class="editable editable-click">Admin</a></td>

							</tr>
							<tr>
								<td class="bg-silver-lighter">Telefono</td>
								<td><a href="javascript:;" id="modal_customer_telephone" data-type="select" data-pk="1" data-value="0" data-source="/status" data-title="Select status" class="editable editable-click">Active </a></td>

							</tr>
							<tr>
								<td class="bg-silver-lighter">Dia de pago</td>
								<td><a href="javascript:;" id="modal_customer_due_day" data-type="date" data-viewformat="dd.mm.yyyy" data-pk="1" data-placement="right" data-title="When you want vacation to start?" class="editable editable-click">25.02.2013</a></td>

							</tr>
							<tr>
								<td class="bg-silver-lighter">Direccion</td>
								<td><a href="javascript:;" id="modal_customer_direction" data-type="combodate" data-value="1984-05-15" data-format="YYYY-MM-DD" data-viewformat="DD/MM/YYYY" data-template="D / MMM / YYYY" data-pk="1" data-title="Select Date of birth" class="editable editable-click">15/05/1984</a></td>

							</tr>
							<tr>
								<td class="bg-silver-lighter">Localizacion</td>
								<td><a href="javascript:;" id="modal_customer_location" data-type="combodate" data-template="D MMM YYYY HH:mm" data-format="YYYY-MM-DD HH:mm" data-viewformat="MMM D, YYYY, HH:mm" data-pk="1" data-title="Setup event date and time" class="editable editable-click editable-empty">Empty</a></td>

							</tr>

						</tbody>
					</table>
				</div>
            </div>
        </div>
    </div>
</div>

<div class="modal" id="modal_node" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" > Informacion del nodo </h4>
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
            </div>
            <div class="modal-body" >
				<div class="table-responsive">
					<table class="table table-condensed table-bordered">
						<thead>
							<tr>
								<th width="20%">Nombre</th>
								<th>Valor</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<td class="bg-silver-lighter">Codigo</td>
								<td><a href="javascript:;" id="modal_node_code" data-type="text" data-pk="1" data-title="Enter Username" class="editable editable-click">superuser </a></td>
							</tr>
							<tr>
								<td class="bg-silver-lighter">Grupo</td>
								<td><a href="javascript:;" id="modal_node_group" data-type="text" data-pk="1" data-placement="right" data-placeholder="Required" data-title="Enter your Firstname" class="editable editable-click editable-empty">Empty</a></td>
							</tr>
							<tr>
								<td class="bg-silver-lighter">Estado</td>
								<td><a href="javascript:;" id="modal_node_status" data-type="select" data-pk="1" data-value="" data-title="Select sex" class="editable editable-click">not selected</a></td>

							</tr>
							<tr>
								<td class="bg-silver-lighter">Direccion</td>
								<td><a href="javascript:;" id="modal_node_address" data-type="select" data-pk="1" data-value="5" data-source="/groups" data-title="Select group" class="editable editable-click">Admin</a></td>

							</tr>
							<tr>
								<td class="bg-silver-lighter">Calle</td>
								<td><a href="javascript:;" id="modal_node_street" data-type="select" data-pk="1" data-value="0" data-source="/status" data-title="Select status" class="editable editable-click">Active </a></td>

							</tr>
							<tr>
								<td class="bg-silver-lighter">Numero de casa</td>
								<td><a href="javascript:;" id="modal_node_house_number" data-type="date" data-viewformat="dd.mm.yyyy" data-pk="1" data-placement="right" data-title="When you want vacation to start?" class="editable editable-click">25.02.2013</a></td>

							</tr>
							<tr>
								<td class="bg-silver-lighter">Comuna</td>
								<td><a href="javascript:;" id="modal_node_commune" data-type="combodate" data-value="1984-05-15" data-format="YYYY-MM-DD" data-viewformat="DD/MM/YYYY" data-template="D / MMM / YYYY" data-pk="1" data-title="Select Date of birth" class="editable editable-click">15/05/1984</a></td>

							</tr>
							<tr>
								<td class="bg-silver-lighter">Ubicacion</td>
								<td><a href="javascript:;" id="modal_node_location" data-type="combodate" data-value="1984-05-15" data-format="YYYY-MM-DD" data-viewformat="DD/MM/YYYY" data-template="D / MMM / YYYY" data-pk="1" data-title="Select Date of birth" class="editable editable-click">15/05/1984</a></td>

							</tr>
							<tr>
								<td class="bg-silver-lighter">Es edificio?</td>
								<td><a href="javascript:;" id="modal_node_is_building" data-type="combodate" data-template="D MMM YYYY HH:mm" data-format="YYYY-MM-DD HH:mm" data-viewformat="MMM D, YYYY, HH:mm" data-pk="1" data-title="Setup event date and time" class="editable editable-click editable-empty">Empty</a></td>

							</tr>
							<tr>
								<td class="bg-silver-lighter">Es fibra?</td>
								<td><a href="javascript:;" id="modal_node_is_optical_fiber" data-type="combodate" data-template="D MMM YYYY HH:mm" data-format="YYYY-MM-DD HH:mm" data-viewformat="MMM D, YYYY, HH:mm" data-pk="1" data-title="Setup event date and time" class="editable editable-click editable-empty">Empty</a></td>

							</tr>
							<tr>
								<td class="bg-silver-lighter">GPON</td>
								<td><a href="javascript:;" id="modal_node_gpon" data-type="combodate" data-template="D MMM YYYY HH:mm" data-format="YYYY-MM-DD HH:mm" data-viewformat="MMM D, YYYY, HH:mm" data-pk="1" data-title="Setup event date and time" class="editable editable-click editable-empty">Empty</a></td>

							</tr>
							<tr>
								<td class="bg-silver-lighter">GEPON</td>
								<td><a href="javascript:;" id="modal_node_gepon" data-type="combodate" data-template="D MMM YYYY HH:mm" data-format="YYYY-MM-DD HH:mm" data-viewformat="MMM D, YYYY, HH:mm" data-pk="1" data-title="Setup event date and time" class="editable editable-click editable-empty">Empty</a></td>

							</tr>

						</tbody>
					</table>
				</div>
            </div>
        </div>
    </div>
</div>

<div class="modal" id="modal_plan" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" > Informacion del plan </h4>
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
            </div>
            <div class="modal-body" >
				<div class="table-responsive">
					<table class="table table-condensed table-bordered">
						<thead>
							<tr>
								<th width="20%">Nombre</th>
								<th>Valor</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<td class="bg-silver-lighter">Nombre</td>
								<td><a href="javascript:;" id="modal_plan_name" data-type="text" data-pk="1" data-title="Enter Username" class="editable editable-click">superuser </a></td>
							</tr>
							<tr>
								<td class="bg-silver-lighter">Precio</td>
								<td><a href="javascript:;" id="modal_plan_price" data-type="text" data-pk="1" data-placement="right" data-placeholder="Required" data-title="Enter your Firstname" class="editable editable-click editable-empty">Empty</a></td>
							</tr>
							<tr>
								<td class="bg-silver-lighter">Categoria</td>
								<td><a href="javascript:;" id="modal_plan_get_category_display" data-type="select" data-pk="1" data-value="" data-title="Select sex" class="editable editable-click">not selected</a></td>

							</tr>
							<tr>
								<td class="bg-silver-lighter">UF</td>
								<td><a href="javascript:;" id="modal_plan_uf" data-type="select" data-pk="1" data-value="5" data-source="/groups" data-title="Select group" class="editable editable-click">Admin</a></td>

							</tr>
							<tr>
								<td class="bg-silver-lighter">Activo</td>
								<td><a href="javascript:;" id="modal_plan_active" data-type="select" data-pk="1" data-value="0" data-source="/status" data-title="Select status" class="editable editable-click">Active </a></td>

							</tr>
						</tbody>
					</table>
				</div>
            </div>
        </div>
    </div>
</div>


<script src="{% static 'commponents/tickets/create.js' %}"></script>